petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSMonitorLGCtxSetTransform

Solution vector will be transformed by provided function before being displayed

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSMonitorLGCtxSetTransform(TSMonitorLGCtx ctx,PetscErrorCode (*transform)(void*,Vec,Vec*),PetscErrorCode (*destroy)(void*),void *tctx)

Collective on TSLGCtx

### Input Parameters

| ts | - the TS context
| transform | - the transform function
| destroy | - function to destroy the optional context
| ctx | - optional context used by transform function

### Keywords

TS, vector, monitor, view

### See Also

TSMonitorSet(), TSMonitorDefault(), VecView(), TSMonitorLGSetVariableNames(), TSMonitorLGSetTransform()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages